Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 635466 - media-plugins/gst-plugins-mpg123 keywording
Summary: media-plugins/gst-plugins-mpg123 keywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 631128
  Show dependency tree
 
Reported: 2017-10-25 20:59 UTC by Mart Raudsepp
Modified: 2021-02-20 10:09 UTC (History)
1 user (show)

See Also:
Package list:
media-plugins/gst-plugins-mpg123-1.14.5 media-plugins/gst-plugins-meta-1.14.3
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2017-10-25 20:59:21 UTC
We need keywords on media-plugins/gst-plugins-mpg123 to replace media-plugins/gst-plugins-mad. Related to that, newer media-plugins/gst-plugins-meta keywords had to be dropped as well, due to gst-plugins-mad having gone away and mpg123 being the only USE=mp3 provider now (though gst-plugins-libav might get added as a provider, but still..)

Please consider keywording gst-plugins-mpg123 as a replacement of gst-plugins-mad, or at least handling gst-plugins-meta re-keywording through other means (such as mp3 package.use.mask for your arch or whatnot). Even if gst-plugins-libav gets added as a provider, gst-plugins-mpg123 is still the upstream favored solution for it right now to my knowledge.
Comment 1 Sergei Trofimovich (RETIRED) gentoo-dev 2017-10-28 21:19:02 UTC
~ia64 keyworded
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2017-10-29 11:22:17 UTC
~ppc/~ppc64 keyworded
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-23 21:22:23 UTC
hppa is already stable
Comment 4 Mart Raudsepp gentoo-dev 2018-01-27 03:46:39 UTC
ping, let me know if you need help testing functionality without having actual sound speakers.. gst-plugins-mad has got to go, but gst-plugins-mpg123 is needed first as the replacement..
Comment 5 Tobias Klausmann gentoo-dev 2018-01-28 09:08:38 UTC
Keyworded on alpha.
Comment 6 Fabian Groffen gentoo-dev 2018-03-03 13:31:30 UTC
please drop or leave ~amd64-linux/~x86-linux dropped (@prefix)
Comment 7 Markus Meier gentoo-dev 2018-03-14 21:09:58 UTC
~arm added
Comment 8 Matt Turner gentoo-dev 2018-03-28 22:42:00 UTC
added ~mips
Comment 9 Larry the Git Cow gentoo-dev 2018-03-30 21:38:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d6a1c1d84b96c9bf139255863823fe9b3b4853c

commit 3d6a1c1d84b96c9bf139255863823fe9b3b4853c
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2018-03-30 21:28:23 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2018-03-30 21:37:23 +0000

    media-plugins/gst-plugins-meta: p.use.mask mp3 for sparc and re-keyword ~sparc
    
    Please remove the p.use.mask after finally keywording gst-plugins-mpg123 to
    replace last rited gst-plugins-mad.
    
    Bug: https://bugs.gentoo.org/635466
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-plugins/gst-plugins-meta/gst-plugins-meta-1.12.4.ebuild | 2 +-
 profiles/arch/sparc/package.use.mask                          | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)}
Comment 10 Rolf Eike Beer archtester 2019-01-02 11:16:08 UTC
sparc keyworded by slyfox
Comment 11 Larry the Git Cow gentoo-dev 2019-01-02 11:22:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed1e1e6cd5d9e80c6993f67eb8dd286a734c569d

commit ed1e1e6cd5d9e80c6993f67eb8dd286a734c569d
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2019-01-02 11:20:33 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2019-01-02 11:22:51 +0000

    profiles/arch/sparc: unmash gst-plugins-meta[mp3], bug #635466
    
    Bug: https://bugs.gentoo.org/635466
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 profiles/arch/sparc/package.use.mask | 5 -----
 1 file changed, 5 deletions(-)
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-26 14:07:55 UTC
SuperH port disbanded.
Comment 13 Fabian Groffen gentoo-dev 2021-01-07 15:46:27 UTC
feel free to drop  prefix keywords here if the deps are missing
Comment 14 NATTkA bot gentoo-dev 2021-02-20 09:44:31 UTC
Unable to check for sanity:

> no match for package: media-plugins/gst-plugins-mpg123-1.14.5